RIVET(1)

NAME
rivet - Robust Independent Validation of Experiment and Theory

SYNOPSIS
rivet [options] myfifo

OPTIONS

--version
    show program's version number and exit.

-h, --help
    show this help message and exit.

-l NATIVE_LOG_STRS
    set a log level in the Rivet library.

-a ANA, --analysis=ANA
    add an analysis to the processing list.

--list-analyses
    show the list of available analyses' names. With -v, it shows the descriptions, too.

--list-used-analyses
    list the analyses used by this command (after subtraction of inappropriate ones).

--show-analysis=SHOW_ANALYSES, --show-analyses=SHOW_ANALYSES
    show the details of an analysis.

--analysis-path=PATH
    specify the analysis search path (cf. $RIVET_ANALYSIS_PATH).

--analysis-path-append=PATH
    append to the analysis search path (cf. $RIVET_ANALYSIS_PATH).

--pwd
    append the current directory (pwd) to the analysis search path (cf. $RIVET_ANALYSIS_PATH).

-H HISTOFILE, --histo-file=HISTOFILE
    specify the output histo file path (default = Rivet.aida).

-x XS, --cross-section=XS
    specify the signal process cross-section in pb.

-n NUM, --nevts=NUM
    restrict the max number of events to read.

--runname=NAME
    give an optional run name, to be prepended as a 'top level directory' in histo paths.

--ignore-beams
    Ignore input event beams when checking analysis compatibility.

--event-timeout=NSECS
    max time in whole seconds to wait for an event to be generated from the specified source (default = 21600)

--run-timeout=NSECS
    max time in whole seconds to wait for the run to finish. This can be useful on batch systems such as the LCG Grid where tokens expire on a fixed wall-clock and can render long Rivet runs unable to write out the final histogram file (default = unlimited).

--histo-interval=HISTO_WRITE_INTERVAL
    [experimental!] specify the number of events between histogram file updates. Default is to only write out at the end of the run. Note that intermediate histograms will be those from the analyze step only: analysis finalizing is currently not executed until the end of the run.

-v, --verbose
    print debug (very verbose) messages.

-q, --quiet
    be very quiet.

EXAMPLES

    mkfifo hepmc.fifo

    my-generator -o myfifo &

    rivet --analysis=ANALYSIS_NAME hepmc.fifo

ENVIRONMENT:

RIVET_ANALYSIS_PATH
    list of paths to be searched for plugin analysis libraries at runtime.

RIVET_REF_PATH
    list of paths to be searched for reference data files.

RIVET_INFO_PATH
    list of paths to be searched for analysis metadata files.

AUTHOR
This manual page was written by Lifeng Sun <lifongsun@gmail.com> for the Debian system (but may be used by others).